%define anolis_release 1
%global srcname mallard-ducktype

Name:    python-mallard-ducktype
Version: 1.0.2
Release: %{anolis_release}%{?dist}
Summary: Parse Ducktype files and convert them to Mallard

License: MIT
URL:     https://pypi.python.org/pypi/%{srcname}
Source0: https://github.com/projectmallard/%{srcname}/archive/%{version}/%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Parse Ducktype files and convert them to Mallard.

%package -n python3-%{srcname}
Summary:	%{summary}

%description -n python3-%{srcname}
Parse Ducktype files and convert them to Mallard.

%package -n python3-%{srcname}-doc
Summary:        %{summary}
Requires:	python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%setup -q -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license COPYING
%{_bindir}/ducktype
%{python3_sitelib}/*

%files -n python3-%{srcname}-doc
%doc AUTHORS README.md

%changelog
* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 1.0.2-1
- init package from upstream
